%define date	20250403

Name:		pokerth
Summary:	Play Texas Holdem Poker alone or online
Version:	1.1.2
Release:	%mkrel 33.git%{date}.3
License:	AGPLv3+ and GPLv2+
Group:		Games/Cards
URL:		https://www.pokerth.net/
Source0:	https://downloads.sourceforge.net/pokerth/%{name}-%{version}+git%{date}.tar.xz
# git archive --format=tar.xz --prefix=pokerth-1.1.2 HEAD > pokerth-1.1.2+git20250403.tar.xz
Patch0:		pokerth-1.1.1-link.patch
Patch1:		pokerth-1.1.2-use-system-qtsingleapplication.patch
Patch3:		pokerth-1.1.2-enable-compile-of-server-part.patch
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgsasl)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	boost-devel
BuildRequires:	libircclient-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	qtsingleapplication-qt6-devel
BuildRequires:	qt6-qttools

%description
PokerTH is a multi-platform poker game.
It allows you to play the popular "Texas Hold'em" poker variant against up to
six computer-opponents or play network games with people all over the world.

%package server
Summary:	PokerTH server
Group:		Games/Cards

%description server
PokerTH server.

%prep
%autosetup -p1 -n %{name}-%{version}

# remove bundled qtsingleapplication
rm -r src/third_party/qtsingleapplication

%build
%qmake_qt6 %{name}.pro \
           DEFINES+="BOOST_BIND_GLOBAL_PLACEHOLDERS" \
           QMAKE_CFLAGS_ISYSTEM="" CONFIG+=client
%make_build

%install
# data
%make_install INSTALL_ROOT=%{buildroot}
# man page
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 docs/%{name}.1 %{buildroot}%{_mandir}/man1/
# icon
install -d -m 755 %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 644 %{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%doc ChangeLog docs/gui_styling_howto.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%files server
%doc ChangeLog docs/server_setup_howto.txt
%license COPYING
%{_bindir}/%{name}_server


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.1.2-33.git20250403.3.mga10
+ Revision: 2250579
- Mageia 10 Mass Rebuild

* Fri Apr 04 2025 daviddavid <daviddavid> 1.1.2-33.git20250403.2.mga10
+ Revision: 2173283
- rebuild for new gsasl 2.2.2

* Thu Apr 03 2025 daviddavid <daviddavid> 1.1.2-33.git20250403.1.mga10
+ Revision: 2173260
- update to latest upstream git snapshot as of 20250403
- switch to Qt6
+ ns80 <ns80>
- try to fix building with boost 1.87
+ wally <wally>
- rebuild for boost 1.87.0

* Fri Sep 13 2024 wally <wally> 1.1.2-31.mga10
+ Revision: 2095510
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 1.1.2-30.mga10
+ Revision: 2075585
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 1.1.2-29.mga10
+ Revision: 2030586
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 1.1.2-28.mga10
+ Revision: 1991488
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 1.1.2-27.mga9
+ Revision: 1926521
- rebuild for boost 1.81.0

* Thu Dec 22 2022 wally <wally> 1.1.2-26.mga9
+ Revision: 1925796
- rebuild for protobuf 21.12

* Sun Jul 03 2022 wally <wally> 1.1.2-25.mga9
+ Revision: 1867301
- rebuild for boost 1.79.0

* Tue Apr 05 2022 umeabot <umeabot> 1.1.2-24.mga9
+ Revision: 1844748
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 1.1.2-23.mga9
+ Revision: 1764997
- rebuild for protobuf 3.19.1

* Sun Dec 19 2021 wally <wally> 1.1.2-22.mga9
+ Revision: 1762655
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 1.1.2-21.mga9
+ Revision: 1744626
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 1.1.2-20.mga9
+ Revision: 1723008
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 1.1.2-19.mga8
+ Revision: 1666806
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.1.2-18.mga8
+ Revision: 1662048
- rebuild for boost 1.74.0

* Fri Dec 18 2020 luigiwalser <luigiwalser> 1.1.2-17.mga8
+ Revision: 1660994
- rebuild for protobuf

* Thu Dec 17 2020 umeabot <umeabot> 1.1.2-16.mga8
+ Revision: 1659425
- Rebuild for new Qt5

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.1.2-15.mga8
+ Revision: 1650545
- rebuild for protobuf

* Sat Oct 24 2020 wally <wally> 1.1.2-14.mga8
+ Revision: 1639042
- rebuild with shared libircclient

* Sun Jun 28 2020 daviddavid <daviddavid> 1.1.2-13.mga8
+ Revision: 1600184
- rebuild for new protobuf 3.12.3

* Sun May 03 2020 wally <wally> 1.1.2-12.mga8
+ Revision: 1578473
- rebuild for boost 1.73.0

* Thu Feb 20 2020 umeabot <umeabot> 1.1.2-11.mga8
+ Revision: 1545070
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 daviddavid <daviddavid> 1.1.2-10.mga8
+ Revision: 1483732
- add archlinux patch to fix build with boost >= 1.70
+ wally <wally>
- rebuild for boost 1.72.0

* Thu Dec 19 2019 daviddavid <daviddavid> 1.1.2-9.mga8
+ Revision: 1468858
- rebuild for new protobuf 3.11.2

* Mon Apr 01 2019 umeabot <umeabot> 1.1.2-8.mga7
+ Revision: 1384049
- Qt5 Rebuild

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.1.2-7.mga7
+ Revision: 1346017
- rebuild for protobuf

* Tue Oct 16 2018 wally <wally> 1.1.2-6.mga7
+ Revision: 1321083
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-5.mga7
+ Revision: 1300333
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 daviddavid <daviddavid> 1.1.2-4.mga7
+ Revision: 1219087
- add patch to fix build with protobuf 3.5
- rebuild for new protobuf 3.5

* Thu Dec 28 2017 wally <wally> 1.1.2-3.mga7
+ Revision: 1186281
- add patch from upstream bug report to fix build with boost 1.66 (mga#22272)
- rebuild for new boost

* Sun Nov 26 2017 daviddavid <daviddavid> 1.1.2-2.mga7
+ Revision: 1179433
- use "QMAKE_CFLAGS_ISYSTEM=" qmake option instead of a patch

* Sun Nov 26 2017 daviddavid <daviddavid> 1.1.2-1.mga7
+ Revision: 1179401
- new version: 1.1.2
- add patch to fix build with boost 1.65
- rename and rebase link patch
- remove some merged upstream patches
- fix license
- package a svg icon
+ tv <tv>
- rebuild for boost 1.65

* Sun Sep 17 2017 daviddavid <daviddavid> 1.1.1-12.mga7
+ Revision: 1155059
- add debian patch to fix build with gcc6+
- add debian patch to fix build with Qt5
+ tv <tv>
- rebuild with latest boost

* Thu Mar 03 2016 umeabot <umeabot> 1.1.1-11.mga6
+ Revision: 983910
- Rebuild for openssl

* Sun Feb 21 2016 daviddavid <daviddavid> 1.1.1-10.mga6
+ Revision: 975490
- switch build to Qt5
- add Patch4 to fix build against Qt5 >= 5.6.0
- unbundle qtsingleapplication (use system one instead)
- rebuild against openssl

* Sun Dec 27 2015 daviddavid <daviddavid> 1.1.1-9.mga6
+ Revision: 915701
- add upstream patch to fix build against boost 1.60.0
- improve Summary (name repeated)
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 fwang <fwang> 1.1.1-8.mga6
+ Revision: 883744
- rebuild for new boost

* Mon Sep 14 2015 fwang <fwang> 1.1.1-7.mga6
+ Revision: 879188
- rebuild for new libgcrypt

* Thu Aug 27 2015 cjw <cjw> 1.1.1-6.mga6
+ Revision: 870353
- rebuild with gcc 5

* Sun Aug 02 2015 daviddavid <daviddavid> 1.1.1-5.mga6
+ Revision: 860602
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 750027
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 687706
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.1.1-2.mga5
+ Revision: 670351
- rebuild for protobuf

* Sun Feb 16 2014 dams <dams> 1.1.1-1.mga5
+ Revision: 592573
- new version 1.1.1

* Sat Feb 08 2014 barjac <barjac> 1.0.1-4.mga5
+ Revision: 586746
- rebuild against boost-1.55

* Tue Dec 31 2013 dmorgan <dmorgan> 1.0.1-3.mga4
+ Revision: 563517
- Rebuild against current protobuf

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 535118
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 fwang <fwang> 1.0.1-1.mga4
+ Revision: 481129
- fix build
- more patch
- cleanup spec
- new version 1.0.1

* Wed Jul 10 2013 fwang <fwang> 1.0-5.mga4
+ Revision: 452487
- rebuild for new boost

* Mon Jul 08 2013 fwang <fwang> 1.0-4.mga4
+ Revision: 451257
- rebuild for new boost

* Thu Apr 11 2013 malo <malo> 1.0-3.mga3
+ Revision: 409480
- rebuild for boost 1.53

* Sun Apr 07 2013 mikala <mikala> 1.0-2.mga3
+ Revision: 408944
- Bump release to ease upgrade for mga2

* Sun Apr 07 2013 mikala <mikala> 1.0-1.mga3
+ Revision: 408668
- Update tarball to 1.0
- Use pkgconfig() for BR when it's possible

* Sun Jan 13 2013 umeabot <umeabot> 0.9.5-4.mga3
+ Revision: 378019
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.9.5-3.mga3
+ Revision: 333060
- rebuild for new boost

* Tue Jul 31 2012 fwang <fwang> 0.9.5-2.mga3
+ Revision: 276594
- use default filesystem version
- rebuild for new boost
- new version 0.9.5

* Tue Jun 19 2012 fwang <fwang> 0.9.4-1.mga3
+ Revision: 261873
- new version 0.9.4

* Wed May 30 2012 fwang <fwang> 0.9.1-2.mga3
+ Revision: 249635
- rebuild for new icu

* Fri Jan 20 2012 fwang <fwang> 0.9.1-1.mga2
+ Revision: 198631
- update file list
- apply link fix
- more fix
- try fixiing linking order
- fix linkage
- use current libircclinet dir
- br ircclient
- brsqlite3
- new version 0.9

* Mon Nov 28 2011 fwang <fwang> 0.8.3-5.mga2
+ Revision: 173616
- rebuild for new boost
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.8.3-3.mga2
+ Revision: 111821
- use boost_filesyste v2
- br gcrypt
- rebuild for new gnutls

* Fri Mar 11 2011 mikala <mikala> 0.8.3-2.mga1
+ Revision: 68133
- Remove BuildRoot
- Drop mdk macros
- imported package pokerth


* Tue Feb 08 2011 John Balcaen <mikala@mandriva.org> 0.8.3-1mdv2011.0
+ Revision: 636920
- Update to 0.8.3

* Thu Oct 14 2010 John Balcaen <mikala@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 585594
- Update to 0.8.1

* Mon Sep 27 2010 John Balcaen <mikala@mandriva.org> 0.8-1mdv2011.0
+ Revision: 581409
- Update to 0.8
- add buildrequires for libgsasl-devel

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.7.1-4mdv2011.0
+ Revision: 565997
- rebuild for new boost

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.7.1-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2010.0
+ Revision: 418866
- rebuild for new libboost

* Fri Jun 26 2009 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2010.0
+ Revision: 389335
- New version 0.7.1

* Mon May 04 2009 Funda Wang <fwang@mandriva.org> 0.7-1mdv2010.0
+ Revision: 371745
- New version 0.7

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.3-2mdv2009.1
+ Revision: 354300
- rebuild for new boost

* Sun Jan 04 2009 Guillaume Bedot <littletux@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 324392
- New release 0.6.3.

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 0.6.2-6mdv2009.1
+ Revision: 316561
- rebuild for new boost

* Tue Aug 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.2-5mdv2009.0
+ Revision: 273511
- rebuild against new boost

* Mon Aug 18 2008 Funda Wang <fwang@mandriva.org> 0.6.2-4mdv2009.0
+ Revision: 273426
- BR new boost

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 0.6.2-3mdv2009.0
+ Revision: 263958
- build server with server opts

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 0.6.2-2mdv2009.0
+ Revision: 263949
- specify qtdir using macro
- compile with new compile flags

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 29 2008 David Walluck <walluck@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 212877
- BuildRequires: curl-devel
- no need for n flag on subpackage
- 0.6.2
- remove overloaded macros
- fix License
- BuildRequires: gnutls-devel now instead of openssl-devel
- remove rpath from binaries
- fix manpage location
- call update-desktop-database
- fix eol in net_protocol.txt

* Wed Mar 26 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 190340
- 0.6.1
- dropped obsolete patch
- added an icon

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Thu Dec 20 2007 Guillaume Bedot <littletux@mandriva.org> 0.6-2mdv2008.1
+ Revision: 135889
- Fix perms
- Allow license to be displayed

* Tue Dec 18 2007 Guillaume Bedot <littletux@mandriva.org> 0.6-1mdv2008.1
+ Revision: 131979
- import pokerth


* Mon Dec 17 2007 Guillaume Bedot <littletux@zarb.org> 0.6-1mdv2008.1
- First package of PokerTH for MandrivaLinux, thanks to William Rod.
